Subject: Re: bash 2.0.2 backquoted text includes final carriage return
From: Rick Rankin <[email-masked]>
To: [email-masked], "Randall R. Schulz" <[email-masked]>, [email-masked]
Cc: Bill Kelly <[email-masked]>
Date: Tue, 4 May 1999 10:29:37 -0700 (PDT)

No, I have text mounts, CYGWIN="tty notitle glob ntea" and I don't see any
trailing CR. I have

GNU bash, version 2.02.1(2)-release (i586-pc-cygwin32)

$ echo -n `hostname` | od -c
0000000   p   c   -   f   l   t   l   g
0000010

$ type hostname
hostname is /cygnus/cygwin-b20/H-i586-cygwin32/bin/hostname

Rick
--
Rick Rankin
[email-masked]

--- Earnie Boyd <[email-masked]> wrote:
> 
> Strange.  I get this type of behavior using the cygwin product regardless of
> the binmode setting (unspecified, binmode or nobinmode).  I am using text
> mode
> mounts which may be the cause of it working/not working.
> 
> --- "Randall R. Schulz" <[email-masked]> wrote:
> > Hello,
> > 
> > The original complaint is correct. Here's what happens on Solaris under
> > bash 2.0.2:
> > 
> > 1001> shell
> > BASH=/usr/local/bin/bash; BASH_VERSION=2.01.0(1)-release
> > 
> > 1002> echo -n `hostname` |od -c
> > 0000000   n   i   t   r   o   g   e   n
> > 0000010
> > 
> > 
> > Here's the same under Linux:
> > 
> > 1001> shell
> > BASH=/bin/bash; BASH_VERSION=2.02.0(3)-release
> > 1002> echo -n `hostname` |od -c
> > echo -n `hostname` | od -c
> > 0000000   t   i   t   a   n   i   u   m   .   t   e   k   n   o   w   l
> > 0000020   e   d   g   e   .   c   o   m
> > 0000030
> > 
> > 
> > BTW, using $( ... ) instead of ` ... ` (my personal preference) yields the
> > same results.
> > 
> > Lastly, on page 18 of my copy of the BASH manual (sec. 3.10.2 Command
> > Substitution), it is explicitly stated that trailing newlines are removed.
> > 
> 
> ===
> "Earnie Boyd" <mailto:[email-masked]>
> CYGWIN RELATED HELP:
>  DOCUMENTATION: <http://sourceware.cygnus.com/cygwin/docs.html>
>        DLLHELP: <http://www.xraylith.wisc.edu/~khan/software/gnu-win32/>
> ARCHIVE SEARCH: <http://www.delorie.com/archives/> OR
>                 <http://www.eGroups.com/list/gnu-win32/>
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]